Bug 1001473 - [ja_JP][Admin Portal] String 'Network Provider' broken into two lines in 'New Host' dailog.
[ja_JP][Admin Portal] String 'Network Provider' broken into two lines in 'New...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.4.0
Assigned To: Lior Vernia
Yuko Katabami
network
: i18n
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-08-27 02:46 EDT by Lijun Li
Modified: 2016-02-10 14:57 EST (History)
14 users (show)

See Also:
Fixed In Version: org.ovirt.engine-root-3.4.0-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 10:04:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
String 'Network Provider' broken into two lines in 'New Host' dailog (40.61 KB, image/png)
2013-08-27 02:49 EDT, Lijun Li
no flags Details
new-line (130.13 KB, image/png)
2013-09-09 19:18 EDT, Einav Cohen
no flags Details
Network Provider strings in Zanata (12.38 KB, image/png)
2013-09-09 19:53 EDT, Yuko Katabami
no flags Details
Line break point is not fixed, and a space was inserted. (28.71 KB, image/png)
2013-09-19 00:49 EDT, Yuko Katabami
no flags Details
Not Fixed on is21 (26.18 KB, image/png)
2013-11-05 03:08 EST, Lijun Li
no flags Details
updated translation pulled from Zanata (137.60 KB, image/png)
2013-11-25 17:11 EST, Einav Cohen
no flags Details
Not fixed av8_Network Provider (25.77 KB, image/png)
2014-05-08 05:00 EDT, Lijun Li
no flags Details
Host dialog, Japanese (40.37 KB, image/png)
2014-05-26 09:07 EDT, Lior Vernia
no flags Details
Confirmed the fix on 3.4.0-0.21 using Firefox (171.70 KB, image/png)
2014-05-27 00:19 EDT, Yuko Katabami
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26927 master MERGED webadmin: Respect line break suggestion in CJK locales Never
oVirt gerrit 26991 ovirt-engine-3.4 MERGED webadmin: Respect line break suggestion in CJK locales Never

  None (edit)
Description Lijun Li 2013-08-27 02:46:29 EDT
Description of problem:
[ja_JP][Admin Portal] String 'Network Provider' broken into two lines in 'New Host' dailog.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.16.master.el6ev.noarch.rpm
rhevm-webadmin-portal-3.3.0-0.16.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. Login web admin portal.
2. Create External Providers.
3. Click on Hosts tab.
4. Click New button.
5. Click on Network Provider tab from left panel.


Actual results:
String 'Network Provider' broken into two lines

Expected results:
It should be displayed in one line.

Additional info:
Please refer to the attached screen shot for more details.
Comment 1 Lijun Li 2013-08-27 02:49:16 EDT
Created attachment 790796 [details]
String 'Network Provider' broken into two lines in 'New Host' dailog
Comment 2 Lior Vernia 2013-09-01 07:06:30 EDT
Hello Li,

I could use a clarification, is "Network Provider" translated into a single word in Japanese? Or could it be that the translated Japanese string is missing a space character?

Thanks, Lior.
Comment 3 Lijun Li 2013-09-01 21:51:01 EDT
(In reply to Lior Vernia from comment #2)
> Hello Li,
> 
> I could use a clarification, is "Network Provider" translated into a single
> word in Japanese? Or could it be that the translated Japanese string is
> missing a space character?
> 
> Thanks, Lior.

Hi Lior,
No need to add space within the translated Japanese string and checked it in Zanata, the translation is: ネットワークプロバイダー , it's a single word and should be displayed in one line.

Thanks,
Robert.
Comment 4 Einav Cohen 2013-09-09 15:38:06 EDT
@Yuko - we have a similar issue discussed in bug 1000946; 
is there any way to make the ja-JP translation for "Network Provider" shorter or split it to two words?
Comment 5 Yuko Katabami 2013-09-09 18:39:13 EDT
(In reply to Einav Cohen from comment #4)
> @Yuko - we have a similar issue discussed in bug 1000946; 
> is there any way to make the ja-JP translation for "Network Provider"
> shorter or split it to two words?

@Einav - It would be better if we can change it to:

ネットワーク
プロバイダー

Should I insert "\n" or pilcrow (¶) in Zanata to break the line where it is appropriate?
Comment 6 Einav Cohen 2013-09-09 19:18:58 EDT
Created attachment 795768 [details]
new-line
Comment 7 Einav Cohen 2013-09-09 19:22:29 EDT
(In reply to Yuko Katabami from comment #5)
> (In reply to Einav Cohen from comment #4)
> > @Yuko - we have a similar issue discussed in bug 1000946; 
> > is there any way to make the ja-JP translation for "Network Provider"
> > shorter or split it to two words?
> 
> @Einav - It would be better if we can change it to:
> 
> ネットワーク
> プロバイダー
> 
> Should I insert "\n" or pilcrow (¶) in Zanata to break the line where it is
> appropriate?

Hi Yuko, first of all - if it makes sense to put a simple single white-space, it is preferable. if white-space doesn't make sense, please put a line-break symbol in the relevant location within the translation, as you suggested.

with regards to the exact newline character to be used: in https://bugzilla.redhat.com/show_bug.cgi?id=1001428#c4, Daniel has suggested to put the line break character ('\n\'), which is indeed the character that eventually need to appear in the .properties (text) file generated from Zanata; however, I saw that in Zanata there is a usage of a gray pilcrow character (see attachment 795768 [details]) - it seems that this gray pilcrow character represents the '\n\' character, so this is what you should be using.
Comment 8 Yuko Katabami 2013-09-09 19:52:28 EDT
(In reply to Einav Cohen from comment #7)
> (In reply to Yuko Katabami from comment #5)
> > (In reply to Einav Cohen from comment #4)
> > > @Yuko - we have a similar issue discussed in bug 1000946; 
> > > is there any way to make the ja-JP translation for "Network Provider"
> > > shorter or split it to two words?
> > 
> > @Einav - It would be better if we can change it to:
> > 
> > ネットワーク
> > プロバイダー
> > 
> > Should I insert "\n" or pilcrow (¶) in Zanata to break the line where it is
> > appropriate?
> 
> Hi Yuko, first of all - if it makes sense to put a simple single
> white-space, it is preferable. if white-space doesn't make sense, please put
> a line-break symbol in the relevant location within the translation, as you
> suggested.
> 
> with regards to the exact newline character to be used: in
> https://bugzilla.redhat.com/show_bug.cgi?id=1001428#c4, Daniel has suggested
> to put the line break character ('\n\'), which is indeed the character that
> eventually need to appear in the .properties (text) file generated from
> Zanata; however, I saw that in Zanata there is a usage of a gray pilcrow
> character (see attachment 795768 [details]) - it seems that this gray
> pilcrow character represents the '\n\' character, so this is what you should
> be using.

Hi Einav,
I have changed the string using the gray pilcrow as suggested.
Please see attached screenshot.
There are two strings of "Network Provider":
Resource IDs networkProvider and networkProviderButtonLabel
Please let me know if both need to be fixed or only one of these.

I will ask our zh-CN translator about the #1001428.
Comment 9 Yuko Katabami 2013-09-09 19:53:23 EDT
Created attachment 795779 [details]
Network Provider strings in Zanata
Comment 11 Einav Cohen 2013-09-09 21:19:10 EDT
(In reply to Yuko Katabami from comment #8)
> ...
> 
> Hi Einav,
> I have changed the string using the gray pilcrow as suggested.
> Please see attached screenshot.
> There are two strings of "Network Provider":
> Resource IDs networkProvider and networkProviderButtonLabel
> Please let me know if both need to be fixed or only one of these.
> 

@Lior - which one(s) should be changed: networkProvider, networkProviderButtonLabel or both?
Comment 12 Lior Vernia 2013-09-10 02:55:45 EDT
networkProviderButtonLabel is what appears in the left-hand tab when adding a new host (i.e. what this bug was opened about).

networkProvider appears at the top of the Import Networks dialog (accessible from Networks main tab --> Import). No bug was opened for the string there overrunning the listbox, but I suspect there might be a length problem there as well, so it might be a good idea to change that as well (although that can also be fixed by more spacing if that's preferable).
Comment 13 Yuko Katabami 2013-09-10 03:59:39 EDT
(In reply to Lior Vernia from comment #12)
> networkProviderButtonLabel is what appears in the left-hand tab when adding
> a new host (i.e. what this bug was opened about).
> 
> networkProvider appears at the top of the Import Networks dialog (accessible
> from Networks main tab --> Import). No bug was opened for the string there
> overrunning the listbox, but I suspect there might be a length problem there
> as well, so it might be a good idea to change that as well (although that
> can also be fixed by more spacing if that's preferable).

Hi Lior,

I checked the Import Networks window (Networks main tab --> Import) and I also think the length might be a problem (but I don't have the latest environment at hand and mine shows this window in unlocalized thus unable to see the issue).

In this case, adjusting the spacing is preferable.
I removed the pilcrow from networkProvider in Zanata, but left the pilcrow with networkProviderButtonLabel.
Please let me know if there is any issue with it.

I can file a new bug for networkProvider (to extend the space) during the upcoming L10N QA event starting from next Tuesday, if required.
Comment 14 Lior Vernia 2013-09-10 04:51:05 EDT
Hello Yuko,

Yes, if there proves to be a problem with the Import Networks dialog I'd appreciate you opening a bug, as we are currently in a development phase where little can be done without a related bug.

Lior.
Comment 15 Yuko Katabami 2013-09-10 05:26:30 EDT
(In reply to Lior Vernia from comment #14)
> Hello Yuko,
> 
> Yes, if there proves to be a problem with the Import Networks dialog I'd
> appreciate you opening a bug, as we are currently in a development phase
> where little can be done without a related bug.
> 
> Lior.

Hi Lior,

Sure. No problems. Thank you for your suggestion.
Comment 16 Einav Cohen 2013-09-11 16:50:38 EDT
Hi Yuko, if this one is completed (i.e. ready to be pulled from Zanata), can you please move the BZ to POST?
Thanks.
Comment 17 Yuko Katabami 2013-09-11 17:24:28 EDT
(In reply to Einav Cohen from comment #16)
> Hi Yuko, if this one is completed (i.e. ready to be pulled from Zanata), can
> you please move the BZ to POST?
> Thanks.

Hi Einav,

Yes, it has been fixed.
I only changed one with Resource ID networkProviderButtonLabel.
I will check the other one during the QA event and file a separate bug if it is problematic.

Thank you.
Comment 18 Yuko Katabami 2013-09-19 00:49:30 EDT
Created attachment 799730 [details]
Line break point is not fixed, and a space was inserted.
Comment 19 Yuko Katabami 2013-09-19 01:39:24 EDT
Checking with zanata developers for the solution.
Comment 20 Yuko Katabami 2013-09-19 01:44:21 EDT
I was suggested by Zanata developer to insert u200B character where I want to wrap the text. It is fixed in zanata now and need to check again when the next build becomes available.
Comment 21 David Mason 2013-09-19 01:53:24 EDT
To expand a little for future reference: I have advised using a zero-width space to specify the point where the string should be broken when there is insufficient width.

Zero-width space is unicode code point 200B, which can usually be input with a key combination. e.g. I am using Red Hat Enterprise Linux and I can hold Ctrl+Shift, press u, 2, 0, 0, b, then release Ctrl and Shift to insert the character.

In Zanata editor at the moment the zero-width space is displayed as a black dot, but in a downloaded .po file it is correctly represented. The same should be the case for .properties files, but I have not checked specifically.

Note that it does not appear possible to copy-paste a zero-width space from the Zanata editor at the moment, so I recommend always using a key combination as described above.
Comment 22 Yuko Katabami 2013-09-19 01:59:42 EDT
(In reply to David Mason from comment #21)
> To expand a little for future reference: I have advised using a zero-width
> space to specify the point where the string should be broken when there is
> insufficient width.
> 
> Zero-width space is unicode code point 200B, which can usually be input with
> a key combination. e.g. I am using Red Hat Enterprise Linux and I can hold
> Ctrl+Shift, press u, 2, 0, 0, b, then release Ctrl and Shift to insert the
> character.
> 
> In Zanata editor at the moment the zero-width space is displayed as a black
> dot, but in a downloaded .po file it is correctly represented. The same
> should be the case for .properties files, but I have not checked
> specifically.
> 
> Note that it does not appear possible to copy-paste a zero-width space from
> the Zanata editor at the moment, so I recommend always using a key
> combination as described above.

Hi David,
Thank you very much for your thorough explanation,
and sorry about my insufficient information in my previous comment.
Comment 23 Yuko Katabami 2013-09-25 22:49:08 EDT
@Einav,

Translation is updated following the suggestion by David.
It is ready to pull.
I move this status back to POST.
Comment 25 Lijun Li 2013-11-05 03:05:04 EST
Verified it's NOT fixed on is21 build 3.3.0-0.31.beta1.el6ev

Please refer to the attached screenshot.
Comment 26 Lijun Li 2013-11-05 03:08:22 EST
Created attachment 819559 [details]
Not Fixed on is21
Comment 27 Yuko Katabami 2013-11-05 03:25:38 EST
(In reply to Lijun Li from comment #25)
> Verified it's NOT fixed on is21 build 3.3.0-0.31.beta1.el6ev
> 
> Please refer to the attached screenshot.

@Einav,

I would like to check with you if the fixed translation was pulled or not.
If it was no pulled, that's fine but if it was and then did not fix the problem, it means that inserting u200B character did not work. 

Please let me know.

Kind regards,

Yuko
Comment 28 Einav Cohen 2013-11-25 17:11:59 EST
Created attachment 828935 [details]
updated translation pulled from Zanata
Comment 29 Einav Cohen 2013-11-25 17:44:53 EST
(In reply to Yuko Katabami from comment #27)
> (In reply to Lijun Li from comment #25)
> > Verified it's NOT fixed on is21 build 3.3.0-0.31.beta1.el6ev
> > 
> > Please refer to the attached screenshot.
> 
> @Einav,
> 
> I would like to check with you if the fixed translation was pulled or not.
> If it was no pulled, that's fine but if it was and then did not fix the
> problem, it means that inserting u200B character did not work. 
> 
> Please let me know.
> 
> Kind regards,
> 
> Yuko

Hi Yuko, it seems that the translation has been updated properly (i.e. the "/n" character has been properly replaced with the "/u200B" character - see attachment 828935 [details]), however indeed it seems that it hasn't affected the rendered text in the application. 
@Lior - can you please assist us and find out what is the exact character that should be written within the string in the *_ja_JP.properties file that will result in a newline within the section-title label?
Comment 31 Yuko Katabami 2013-11-25 17:58:38 EST
(In reply to Einav Cohen from comment #29)
> (In reply to Yuko Katabami from comment #27)
> > (In reply to Lijun Li from comment #25)
> > > Verified it's NOT fixed on is21 build 3.3.0-0.31.beta1.el6ev
> > > 
> > > Please refer to the attached screenshot.
> > 
> > @Einav,
> > 
> > I would like to check with you if the fixed translation was pulled or not.
> > If it was no pulled, that's fine but if it was and then did not fix the
> > problem, it means that inserting u200B character did not work. 
> > 
> > Please let me know.
> > 
> > Kind regards,
> > 
> > Yuko
> 
> Hi Yuko, it seems that the translation has been updated properly (i.e. the
> "/n" character has been properly replaced with the "/u200B" character - see
> attachment 828935 [details]), however indeed it seems that it hasn't
> affected the rendered text in the application. 
> @Lior - can you please assist us and find out what is the exact character
> that should be written within the string in the *_ja_JP.properties file that
> will result in a newline within the section-title label?

Thank you Einav.
I will also speak with David Mason or other Zanata engineers about this and update if we can find other solution.
Comment 32 Yuko Katabami 2014-03-27 20:13:45 EDT
Just checked with damason but there is no other solution for this.

Is it possible to widen the pane?
Comment 33 Einav Cohen 2014-03-27 22:00:21 EDT
(In reply to Yuko Katabami from comment #32)
> Just checked with damason but there is no other solution for this.
> 
> Is it possible to widen the pane?

[changing Whiteboard to 'network' for now]

@Lior - thoughts? see comment #29, comment #32 for possible solutions, please let us know what you think. thanks.
Comment 34 Lior Vernia 2014-03-31 05:26:55 EDT
Sorry, I probably missed your original NEEDINFO somehow. I played around with this a little on Firefox 22. Seems like lines aren't broken according to spaces at all when Japanese letters are concerned; I tried inserting actual spaces (with nonzero width) and the string still got broken at the same spot.

I found that adding a CSS property "word-break: keep-all" to the containing HTML element does respect spacing when breaking (including the zero width space), but this should be applied in the generic left tab widget (to correct this everywhere and not just for this specific dialog and tab), and I'm not knowledgeable enough in CSS to know what harm this might cause on other browsers. I'll play around a little and push a patch when I'm happy with the results.
Comment 35 Einav Cohen 2014-03-31 09:45:01 EDT
(In reply to Lior Vernia from comment #34)
> Sorry, I probably missed your original NEEDINFO somehow. I played around
> with this a little on Firefox 22. Seems like lines aren't broken according
> to spaces at all when Japanese letters are concerned; I tried inserting
> actual spaces (with nonzero width) and the string still got broken at the
> same spot.
> 
> I found that adding a CSS property "word-break: keep-all" to the containing
> HTML element does respect spacing when breaking (including the zero width
> space), but this should be applied in the generic left tab widget (to
> correct this everywhere and not just for this specific dialog and tab), and
> I'm not knowledgeable enough in CSS to know what harm this might cause on
> other browsers. I'll play around a little and push a patch when I'm happy
> with the results.

Many thanks, Lior - I appreciate it.
Comment 36 Lior Vernia 2014-04-20 07:59:57 EDT
The patch I pushed should fix this on Firefox and on IE for all dialog left tabs, as far as I could tell without breaking anything in Western languages. It seems that the CSS property is not supported on Chrome (verified) and possibly on Safari (didn't check), haven't found an easy fix for those.
Comment 37 Lior Vernia 2014-04-20 08:00:57 EDT
P.S. zero-width space should in general keep on being inserted within such words as line-break "hints".
Comment 38 Einav Cohen 2014-04-21 20:39:07 EDT
(In reply to Lior Vernia from comment #36)
> The patch I pushed should fix this on Firefox and on IE for all dialog left
> tabs, as far as I could tell without breaking anything in Western languages.

Many thanks, Lior. 

> It seems that the CSS property is not supported on Chrome (verified) and
> possibly on Safari (didn't check), haven't found an easy fix for those.

For Chrome, it indeed seems to be a known issue:
https://code.google.com/p/chromium/issues/detail?id=141792
Comment 39 Lijun Li 2014-05-08 04:56:58 EDT
Verified Not fixed on av8 build: 3.4.0-0.16.rc.el6ev.

Please see the attached screenshot.
Comment 40 Lijun Li 2014-05-08 05:00:05 EDT
Created attachment 893580 [details]
Not fixed av8_Network Provider
Comment 41 Lior Vernia 2014-05-08 06:45:28 EDT
I think it was incorrectly marked as ON_QA in av8, I think it missed that build.
Comment 42 Lijun Li 2014-05-26 02:31:19 EDT
Verified on latest av9 build, it's still Not Fixed.
Comment 43 Lijun Li 2014-05-26 02:31:45 EDT
Build: 3.4.0-0.21.el6ev
Comment 44 Dan Kenigsberg 2014-05-26 08:37:34 EDT
Let's solve it in 3.5, then.
Comment 45 Lior Vernia 2014-05-26 09:07:02 EDT
Created attachment 899307 [details]
Host dialog, Japanese

See my screenshot from 3.4.0-0.21.el6ev. Looks okay to me. This is on Firefox 22, verified on Firefox 26 as well.
Comment 46 Dan Kenigsberg 2014-05-26 09:57:07 EDT
Lijun Li, could you provide more details on why this bug is not yet fixed?
Comment 47 Yuko Katabami 2014-05-26 17:31:30 EDT
It looks like fixed to me too.
@Robert, wonder why it did not show this fix on your environment.
Comment 48 Yuko Katabami 2014-05-27 00:16:50 EDT
I found out why --- I opened Robert's environment with google-chrome and it looked unfixed but when I opened it in Firefox, it looks perfectly fine.
We should change the status to VERIFIED.
Comment 49 Yuko Katabami 2014-05-27 00:19:40 EDT
Created attachment 899379 [details]
Confirmed the fix on 3.4.0-0.21 using Firefox
Comment 50 Lijun Li 2014-05-27 03:04:27 EDT
With Comment 45 and Comment 49, also verified on Firefox (version: ESR 17.0.10), it's FIXED, moving to VERIFIED.
Comment 51 Itamar Heim 2014-06-12 10:04:21 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.